import 'dart:convert';

import 'package:speedq_net/src/util/JsonReflector.dart';

@reflector
class Order {
    late String id;
    late String customerId;
    late String stallId;
    late DateTime dateTime;
    late int code;
    late String status;

    Order.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        customerId = map["cust_id"];
        stallId = map["stall_id"];
        dateTime = map["datetime"];
        code = map["code"];
        status = map["status"];
    }

    Order.fromJsonMap(Map json) {
        id = json["id"];
        customerId = json["cust_id"];
        stallId = json["stall_id"];
        dateTime = json["datetime"];
        code = json["code"];
        status = json["status"];
    }
}